Page MenuHomePhabricator

MassMessage mail takes a long time to be fully performed
Closed, ResolvedPublic

Description

It is now +16 hours ago that I did send out a MassMessage to 210 users of nl-wiki and this message is still not received by everyone. At this moment still 114 messages are in the list of Queued mass messages (seen in the statistics).

Event Timeline

Romaine created this task.Jun 4 2015, 7:06 PM
Romaine raised the priority of this task from to Needs Triage.
Romaine updated the task description. (Show Details)
Romaine added a project: MassMessage.
Romaine added a subscriber: Romaine.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 4 2015, 7:06 PM
Legoktm triaged this task as High priority.Jun 4 2015, 7:09 PM
Legoktm added a subscriber: Legoktm.
legoktm@terbium:~$ mwscript showJobs.php --wiki=nlwiki --group
MassMessageJob: 114 queued; 0 claimed (0 active, 0 abandoned); 0 delayed
Sitic added a subscriber: Sitic.Jun 4 2015, 7:12 PM

Same thing happend two days ago on dewiki as well, it took 29 hours to deliver 280 messages: https://de.wikipedia.org/wiki/Wikipedia_Diskussion:Bots#Benutzer:MediaWiki_message_delivery

Change 216012 had a related patch set uploaded (by Aaron Schulz):
Make sure job queue partitions use the null aggregator

https://gerrit.wikimedia.org/r/216012

Change 216012 merged by jenkins-bot:
Make sure job queue partitions use the null aggregator

https://gerrit.wikimedia.org/r/216012

Elitre added a subscriber: Elitre.Jun 6 2015, 11:13 AM

Patch has been merged.
Is there more work to do here or should this task be closed?

Aklapper added a subscriber: aaron.Aug 20 2015, 3:10 PM

@Legoktm / @aaron: Patch has been merged. Is there more work to do here or should this task be closed?

Legoktm closed this task as Resolved.Aug 20 2015, 3:59 PM
Legoktm claimed this task.

I haven't heard any more reports of this happening.

I personally haven't seen any issues with it anymore.